<!doctype html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/default.html}">
<head>
    <!-- Primary Meta Tags -->
    <meta name="title" content="Employee Task">
    <title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Employee Task</title>
</head>
<body>
<div class="container max-w-screen-lg mx-auto px-4" layout:fragment="content">
    <!--  header section-->
    <div class="flex flex-wrap flex-row items-center mt-16 mb-6">
        <a th:href="@{'/task/template/apply'}"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 mr-4 stroke-blue-900">
            <path stroke-linecap="round" stroke-linejoin="round" d="M10.5 19.5L3 12m0 0l7.5-7.5M3 12h18" />
        </svg>
        </a>
        <h1 class="text-2xl text-blue-900 font-semibold" th:text="${employes.getFullName()+ '-' + employes.getJobStatus()+ '-('+ employes.getCompanies().getCompanyName()+')'}">Dofir Fauzi</h1>
    </div>
    <div class="flex flex-wrap justify-between">
        <div class="basis-full md:basis-4/12">
            <div class="shadow-md rounded-md md:mr-4 p-4">

                    <div class="mb-6">
                        <form method="get">
                            <div class="p-3">
                                <label for="input-group-search" class="sr-only">Search</label>
                                <div class="relative">
                                    <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
                                        <svg class="w-5 h-5 text-gray-500" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z" clip-rule="evenodd"></path></svg>
                                    </div>
                                    <input type="text" id="input-group-search" name="search" th:value="${search}" class="block w-full p-2 pl-10 text-sm text-gray-900 border border-gray-300 rounded-lg bg-gray-50 focus:ring-blue-500 focus:border-blue-500" placeholder="Search Task Template">
                                    <input type="hidden" name="employes" th:value="${employes.getId()}">
                                </div>
                            </div>
                        </form>
                        <form method="post" th:action="@{/task/employee/save(employes=${employes.getId()})}">
                        <ul class="h-48 px-3 pb-3 overflow-y-auto text-sm text-gray-700">
                            <li th:each="dataScheduleEvent, row : ${listScheduleEvent}">
                                <div class="flex items-center pl-2 rounded hover:bg-gray-100">
                                    <input id="templateTask-1" type="checkbox" name="scheduleEvent" th:value="${dataScheduleEvent.getId()}" class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 focus:ring-2">
                                    <label for="templateTask-1" th:text="${dataScheduleEvent.getScheduleName() + ', ' + dataScheduleEvent.getTask()}" class="w-full py-2 ml-2 text-sm font-medium text-gray-900 rounded">Shalat Tahajud Untuk Kabag</label>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <button type="submit" class="w-full text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center">Add Task</button>
                </form>
            </div>
        </div>
        <div class="basis-full md:basis-8/12">

            <!--Tampilkan alert succes jika add template task berhasil-->
            <div id="alert-3" th:if="${success!= null}" class="flex p-4 mb-4 text-green-800 rounded-lg bg-green-50" role="alert">
                <div class="ml-3 text-sm font-medium" th:text="${success}">
                    Template Task Successfully Added
                </div>
                <button type="button" class="ml-auto -mx-1.5 -my-1.5 bg-green-50 text-green-500 rounded-lg focus:ring-2 focus:ring-green-400 p-1.5 hover:bg-green-200 inline-flex h-8 w-8" data-dismiss-target="#alert-3" aria-label="Close">
                    <span class="sr-only">Close</span>
                    <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
                </button>
            </div>

            <!--Tampilkan aler danger jika template task gagal di add-->
            <div id="alert-2" th:if="${gagal != null}" class="flex p-4 mb-4 text-red-800 rounded-lg bg-red-50" role="alert">
                <div class="ml-3 text-sm font-medium" th:text="${gagal}">
                    Add Template Task Failed
                </div>
                <button type="button" class="ml-auto -mx-1.5 -my-1.5 bg-red-50 text-red-500 rounded-lg focus:ring-2 focus:ring-red-400 p-1.5 hover:bg-red-200 inline-flex h-8 w-8" data-dismiss-target="#alert-2" aria-label="Close">
                    <span class="sr-only">Close</span>
                    <svg class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
                </button>
            </div>

            <!--employee task table-->
            <div class="relative overflow-x-auto sm:rounded-lg">
                <form method="get">
                    <div class="flex flex-wrap items-center justify-between pb-4">
                        <div class="horizontalNavMenu mb-2 sm:mb-0 basis-full sm:basis-8/12">
                        </div>
                        <div class="mb-2 sm:mb-0 basis-full sm:basis-4/12">
                            <label for="table-search" class="sr-only">Search</label>
                            <div class="relative">
                                <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
                                    <svg class="w-5 h-5 text-gray-500" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z" clip-rule="evenodd"></path></svg>
                                </div>
                                <input type="hidden" name="employes" th:value="${employes.getId()}">
                                <input type="text" name="searchTasks" th:value="${searchTasks}" id="table-search" class="block w-full p-2 pl-10 text-sm text-gray-900 border border-gray-300 rounded-lg w-80 bg-gray-50 focus:ring-blue-500 focus:border-blue-500" placeholder="Search Task">
                            </div>
                        </div>
                    </div>
                </form>
                <table class="w-full text-sm text-left text-gray-500">
                    <thead class="text-xs text-gray-700 uppercase bg-gray-50">
                    <tr>
                        <th scope="col" class="px-6 py-3">
                            No
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Task name
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Reward
                        </th>
                        <th scope="col" class="px-6 py-3">
                            Action
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="dataEmployeeTask, row : ${listTaskEmployes}" class="bg-white border-b hover:bg-gray-50">
                        <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap" align="right" th:text="${(row.index + 1) + (listTaskEmployes.number * listTaskEmployes.size)}">
                            Dofir Fauzi
                        </th>
                        <th th:text="${dataEmployeeTask.getScheduleEvent().getScheduleName()}" scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap">
                            Shalat Tahajud
                        </th>
                        <td th:text="${dataEmployeeTask.getScheduleEvent().getReward()}" class="px-6 py-3">
                            Rp.2000,-
                        </td>
                        <td class="px-6 py-3">
                            <form method="post" th:action="@{/task/employee/delete(employeeTasks=${dataEmployeeTask.getId()})}">
                                <input type="submit" class="font-medium text-blue-600 dark:text-blue-500 hover:underline" value="Delete"
                                        onclick="return confirm('Are you sure want to delete this?')"/>
                            </form>
<!--                            <a th:href="@{/task/employee/delete(taskEmployeeId=${dataEmployeeTask.getId()})}" class="font-medium text-blue-600 dark:text-blue-500 hover:underline">Delete</a>-->
                        </td>
                    </tr>
                    </tbody>
                </table>
                <div class="flex flex-row flex-wrap justify-center md:justify-between items-center my-4">
                    <!--query result-->
                    <p class="text-base text-gray-500 mr-4 mb-1">Show 10 From 270 Results</p>
                    <!--pagination-->
                    <nav aria-label="Page navigation example">
                        <ul class="pagination" sd:pagination="full">
                            <li class="page-item">
                                <a href="#" class="page-link">
                                    <span class="sr-only">Previous</span>
                                    <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M12.707 5.293a1 1 0 010 1.414L9.414 10l3.293 3.293a1 1 0 01-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z" clip-rule="evenodd"></path></svg>
                                </a>
                            </li>
                            <li>
                                <a href="#" class="px-3 py-2 leading-tight text-gray-500 bg-white border border-gray-300 hover:bg-gray-100 hover:text-gray-700">1</a>
                            </li>
                            <li>
                                <a href="#" aria-current="page" class="z-10 px-3 py-2 leading-tight text-blue-600 bg-blue-50 border border-blue-300 hover:bg-blue-100 hover:text-blue-700">2</a>
                            </li>
                            <li>
                                <a href="#" class="px-3 py-2 leading-tight text-gray-500 bg-white border border-gray-300 hover:bg-gray-100 hover:text-gray-700">3</a>
                            </li>
                            <li>
                                <a href="#" class="block px-3 py-2 leading-tight text-gray-500 bg-white border border-gray-300 rounded-r-lg hover:bg-gray-100 hover:text-gray-700 dark:bg-gray-800 dark:border-gray-700 dark:text-gray-400 dark:hover:bg-gray-700 dark:hover:text-white">
                                    <span class="sr-only">Next</span>
                                    <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z" clip-rule="evenodd"></path></svg>
                                </a>
                            </li>
                        </ul>
                    </nav>
                </div>
            </div>
        </div>
    </div>
</div>
<th:block layout:fragment="script"></th:block>
</body>
</html>